package it.csi.demo.democomp.dto.nspersona;

import com.opensymphony.xwork2.validator.annotations.*;

@Validation
public class Persona implements java.io.Serializable {

	/// Field [nome]
	private java.lang.String _nome = null;

	@StringLengthFieldValidator(type = ValidatorType.FIELD, minLength = "0", maxLength = "50", message = "", key = "persona.nome.validator.label")
	public void setNome(java.lang.String val) {
		_nome = val;
	}

	public java.lang.String getNome() {
		return _nome;
	}

	/// Field [cognome]
	private java.lang.String _cognome = null;

	@StringLengthFieldValidator(type = ValidatorType.FIELD, minLength = "0", maxLength = "50", message = "", key = "persona.cognome.validator.label")
	public void setCognome(java.lang.String val) {
		_cognome = val;
	}

	public java.lang.String getCognome() {
		return _cognome;
	}

	/// Field [sesso]
	private java.lang.String _sesso = null;

	public void setSesso(java.lang.String val) {
		_sesso = val;
	}

	public java.lang.String getSesso() {
		return _sesso;
	}

	/// Field [residenza]
	private java.lang.String _residenza = null;

	public void setResidenza(java.lang.String val) {
		_residenza = val;
	}

	public java.lang.String getResidenza() {
		return _residenza;
	}

	/// Field [retribuzione]
	private long _retribuzione = 0;

	public void setRetribuzione(long val) {
		_retribuzione = val;
	}

	public long getRetribuzione() {
		return _retribuzione;
	}

	/// Field [codRegione]
	private int _codRegione = 0;

	public void setCodRegione(int val) {
		_codRegione = val;
	}

	public int getCodRegione() {
		return _codRegione;
	}

	/// Field [codProvincia]
	private int _codProvincia = 0;

	public void setCodProvincia(int val) {
		_codProvincia = val;
	}

	public int getCodProvincia() {
		return _codProvincia;
	}

	/// Field [idCittadino]
	private int _idCittadino = 0;

	public void setIdCittadino(int val) {
		_idCittadino = val;
	}

	public int getIdCittadino() {
		return _idCittadino;
	}

	// il serial version uid e' fisso in quanto la classe in oggetto e' serializzabile
	// solo per la clusterizzazione della sessione web e non viene scambiata con altre
	// componenti.
	private static final long serialVersionUID = 1L;

	/**
	 * Costruttore vuoto del DTO.
	 */
	public Persona() {
		super();

	}

	public String toString() {
		/*PROTECTED REGION ID(R1650570776) ENABLED START*/
		/// inserire qui la logica desiderata per la rappresenatazione a stringa
		return super.toString();
		/*PROTECTED REGION END*/
	}
}
